{
  "format_version": "1.16.100",
  "minecraft:block": {
    "description": {
      "identifier": "vatonage:spawn_charred_biome"
    },
    "components": {
      "minecraft:destroy_time": 0.2,
      "minecraft:explosion_resistance": 1,

      "minecraft:block_light_emission": 0,
        "minecraft:pick_collision": {
            "origin":  [-8.0, 0.0, -8.0],
            "size":   [16.0, 16.0, 16.0]
        },
         "minecraft:ticking": {
            "looping": true,
            "range": [ 1, 1 ],
            "on_tick": {
               "event": "vatonage:generate",
               "target": "self"
            }
         }
      },
      "events": {
         "vatonage:generate": {
            "run_command": {
               "command": "function spawn_charred_biome"
            }
         }
      }
   }
}